The Witcher Sets Demanding System Requirements

Please wait...

This article was written on an older version of FileFront / GameFront

Formatting may be lacking as a result. If this article is un-readable please report it so that we may fix it.


Published by GameFront.com 14 years ago , last updated 2 years ago

Posted on September 26, 2007, Shawn Sines The Witcher Sets Demanding System Requirements

witcher.jpg

PC gamers were taken aback when the system requirements for Stranglehold came out. The figures were extraordinary, and made buying a console version of the game very appealing.

The minimum and recommended system requirements for CDProjekt’s The Witcher RPG are up and they are also quite high. This is a game that I’ve been looking forward to for a while now, but it looks like I will have to upgrade my CPU to run it well. With everything I’ve seen about this game, those upgrades will be well worthwhile. It just goes to show that Stranglehold was just the first of many with Crysis soon to come.

Here are the Statistics:

Minimum requirements:

  • Microsoft® Windows® XP Service Pack 2, Vista (Operating System must be up to date with the latest fixes)
  • Intel Pentium 4 2.4GHz or AMD Athlon 64 +2800
  • 1 GB RAM for Microsoft® Windows® XP / 1536 MB for Microsoft® Windows® Vista
  • 128 MB Video RAM or greater with DirectX9 Vertex Shader/ Pixel Shader 2.0 support (NVIDIA GeForce 6600 or ATI Radeon 9800 or better)
  • 8.5 GB available hard drive space
  • DirectX 9.0c compliant soundcard, plus speakers or headphones
  • DVD-Rom

Recommended requirements:

  • Microsoft Windows XP Service Pack 2, Vista (Operating System must be up to date with the latest fixes)
  • Intel Core 2 Duo 2.13 GHz or AMD X2 5600+
  • 2 GB RAM
  • NVIDIA GeForce 7900 GTX or ATI Radeon X1950 PRO
  • 8.5 GB available hard drive space
  • DirectX 9.0c compliant soundcard, plus speakers or headphones
  • DVD-Rom

via The Witcher Official Website

Comments on this Article

There are no comments yet. Be the first!